<IfModule mod_ssl.c>
<VirtualHost {{ debianrelease }}-{{ openstackrelease }}.{{ domainname }}:443>
        ServerAdmin webmaster@localhost
        ErrorLog ${APACHE_LOG_DIR}/error.log
        CustomLog ${APACHE_LOG_DIR}/access.log combined

        SSLEngine on
        SSLCertificateFile      /etc/ssl/certs/ssl-cert-snakeoil.pem
        SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key

        <FilesMatch "\.(cgi|shtml|phtml|php)$">
                                SSLOptions +StdEnvVars
                </FilesMatch>
                <Directory /usr/lib/cgi-bin>
                                SSLOptions +StdEnvVars
        </Directory>

        # Jenkins proxy (and reverse)
        ProxyPass / http://{{ debianrelease }}-{{ openstackrelease }}.{{ domainname }}:8080/ nocanon
        ProxyPassReverse / http://{{ debianrelease }}-{{ openstackrelease }}.{{ domainname }}:8080/ 
        ProxyRequests Off
        AllowEncodedSlashes NoDecode
        Header edit Location ^http://{{ debianrelease }}-{{ openstackrelease }}.{{ domainname }}/ https://{{ debianrelease }}-{{ openstackrelease }}.{{ domainname }}/
        RequestHeader set X-Forwarded-Proto "https"
        RequestHeader set X-Forwarded-Port "443"
        ProxyPreserveHost on
        SetOutputFilter INFLATE;proxy-html;DEFLATE
        SetEnv proxy-nokeepalive 1

        ServerAdmin webmaster@localhost
</VirtualHost>
</IfModule>
